System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Class | System.AttributeTargets.Interface, AllowMultiple=true, Inherited=true)

A binding, as defined by Web Services Description Language (WSDL), is similar to an interface, in that it defines a concrete set of operations. Each XML Web service method is an operation within a particular binding. XML Web service methods are members of either the default binding for an XML Web service or a binding specified within a applied to a class implementing an XML Web service. An XML Web service can implement multiple bindings, by applying multiple attributes to an XML Web service.

Once one or more attributes are applied to an XML Web service, a or can be applied to individual XML Web service methods to indicate the binding operation implemented by a particular XML Web service method. Set the property of or to specify the binding an XML Web service method is implementing an operation for.

Declares a binding that defines one or more XML Web service methods. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor

  This constructor is used to specify a name for a binding defined in the XML Web service it is applied to and is a member of the default namespace.

  Initializes a new instance of the class setting the name of the binding the XML Web service method is implementing.

  The name of the binding an XML Web service method is implementing an operation for. Sets the property.
  1.0.5000.0
  2.0.0.0
- Constructor

  This constructor is used to specify a name for a binding defined in the XML Web service it is applied to that and is a member of the supplied namespace.

  Initializes a new instance of the class.

  The name of the binding an XML Web service method is implementing an operation for. Sets the property.
  The namespace associated with the binding. Sets the property.
  1.0.5000.0
  2.0.0.0
- Constructor

  This constructor is used to specify a name for a binding not defined in the XML Web service it is applied to that and is a member of the supplied namespace.

  Initializes a new instance of the class.

  The name of the binding an XML Web service method is implementing an operation for. Sets the property.
  The namespace associated with the binding. Sets the property.
  The location where the binding is defined.
  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Web.Services.WsiProfiles To be added.

  The WS-I organization publishes guidelines to ensure the interoperability of Web services across platforms. This property indicates the WSI specification to which the binding claims to conform.

  The property controls whether the conformance claims are provided when a WSDL description of the Web service is published.

  Gets or sets the Web Services Interoperability (WSI) specification to which the binding claims to conform.

- Property
  2.0.0.0
  System.Boolean To be added.

  The value of this property controls whether the conformance claims expressed by the property are provided when a WSDL description of the Web service is published.

  Gets or sets a value that indicates whether the binding emits conformance claims.

- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the location where the binding is defined.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the name of the binding.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the namespace associated with the binding.

  1.0.5000.0
  2.0.0.0